//:Add a desription
//:use [[procal_cal]]
//:
//:usage: [[procal_cal?section_id=<xx>]]
//:
global $wb, $database;
require_once(WB_PATH."/modules/procalendar/functions.php");


// --- config options; you may change these ---
$days=array(0=>"Sunday",1=>"Monday",2=>"Tuesday",3=>"Wednesday",4=>"Thursday",5=>"Friday",6=>"Saturday");
$seconds_per_day=60*60*24;
$weeks=5;

$events = array();
// year and month defaults
if(!isset($yr))  {$yr  = date('Y', time()); }
if(!isset($mnth)) {$mnth = date('n', time()); }
if(!isset($section_id)) {$section_id = 0 ; }

$extrasql = '';
$page_id = 0;
$page_link ='';

if ($section_id<>0) { 
  $extrasql = " section_id = '".$section_id."' AND "; 
  $sql = "SELECT page_id FROM ".TABLE_PREFIX."sections WHERE section_id = '".$section_id."'";
  $result = $database->query($sql);
  if ( $result->numRows() > 0 ) {
    while( $row = $result->fetchRow() ) {
      $page_id = $row['page_id'];
    }
  }
  if ($page_id <> 0) {
    $sql = "SELECT link FROM ".TABLE_PREFIX."pages WHERE page_id = '".$page_id."'";
    $result = $database->query($sql);
    if ( $result->numRows() > 0 ) {
      while( $row = $result->fetchRow() ) {
	$page_link = page_link($row['link']);
      }
    }
  }
}

$content ='';
$datestart = "$yr-$mnth-1";
$dateend = "$yr-$mnth-".cal_days_in_month(CAL_GREGORIAN, $mnth,$yr);
//$sql = "SELECT DAY(date_start) AS day,DAY(date_end) AS day2, MONTH(date_start) AS month,MONTH(date_end) AS month2, id, date_start, time_start, date_end, time_end, name FROM ".TABLE_PREFIX."mod_procalendar_actions WHERE ".$extrasql." date_start <='$dateend' AND date_end >='$datestart' AND public_stat = 0 ORDER BY date_start,time_start";
//$result = $database->query($sql);
//if ( $result->numRows() > 0 ) {
//    while( $row = $result->fetchRow() ) {
if (!isset($actions) || empty($actions))
  $actions  = fillActionArray($datestart, $dateend, $section_id);
if (is_array($actions)){
	foreach($actions as $row){
       $page_url = $page_link.'?id='.$row['id'].'&amp;detail=1';
       $daystart = (int)substr($row['date_start'],-2);
       $dayend = (int)substr($row['date_end'],-2);
       $monthstart = (int)substr($row['date_start'],5,2);
       $monthend = (int)substr($row['date_end'],5,2);
       if ($monthstart<$mnth) {
          $monthstart=$mnth; 
          $daystart = 1;
       }   
       if ($monthend>$mnth) {
          $monthend=$mnth; 
          $dayend = cal_days_in_month(CAL_GREGORIAN,$mnth,$yr);
       }   
       for ($ev_day=$daystart;$ev_day<=$dayend;$ev_day++) {
          $events[$ev_day] .= "<a href='".$page_url."' title='".$row['name']."'>".$row['name']."</a><br />"; 
       }   
    }
}

$unix_month_start=mktime(0,0,0,$mnth,1,$yr);
$cal_month = date( 'F', $unix_month_start );
$cal_month_year = date( 'F-Y', $unix_month_start );
$cal_start_day=date( 'l', $unix_month_start );
$cal_days_in_month=date( 't', $unix_month_start );
$day_count=$unix_month_start;
$day_stop=$unix_month_start+($cal_days_in_month*$seconds_per_day);
for($x=0;$x<7;$x++)
    {if($days[$x]==$cal_start_day){$start=$x;}}
$counter=$unix_month_start-($start*$seconds_per_day);
$cal_days=$start+$cal_days_in_month;
if(($start+$cal_days_in_month)>35)
    {$weeks=6;}
if(($start+$cal_days_in_month)<29)
    {$weeks=4;}
$content .= "<center>";
$content .= "<table style='FONT-STYLE:normal;font-size:8mm;COLOR:blue;BACKGROUND-COLOR:#aaaaaa;font-family:Arial, Helvetica, sans-serif;font-weight:normal;text-align:center;'><tr><td>";
$content .= "<h2>".$cal_month_year."</h2>";
$content .= "</td></tr><tr><td>";
$content .= "<table border='1' style='FONT-STYLE:normal;font-size:3mm;COLOR:black;BACKGROUND-COLOR:#ffffff;font-family:Arial, Helvetica, sans-serif;font-weight:normal;text-align:center;'><tr>";
for($x=0;$x<7;$x++)
    {$content .= "<th width='75' height='25' valign='top'>".$days[$x]."</th>";}
$content .= "</tr>";
for ($week=0;$week<$weeks;$week++)
{
    $content .= "<tr>";
    for($x=0;$x<7;$x++){$content .= "<td width='75' height='70' valign='top' style='COLOR:black;font-size:3mm;font-weight:bold;font-family:sans-serif;'>";
    if($counter<$day_stop)
    {
      if($counter>=$unix_month_start)
      {
        $content .= "<center>".date( 'd', $counter)."</center>";
        $day=date( 'j', $counter);
        if(isset($events[$day])){	
          $content .= $events[$day];
        }
      }
      $counter+=$seconds_per_day;
    }  
//    $content .= "<br />";
    $content .= " </td>";}
    $content .= "</tr>";
}
$content .= "</table>";
$content .= "</td></tr></table><br /></center>";

return $content;